--- schedutils-1.5.0/ionice.c	2005-07-29 16:33:22.000000000 -0400
+++ schedutils-1.5.0/ionice.c	2006-09-06 00:36:57.000000000 -0400
@@ -35,7 +17,7 @@
 #if defined(__i386__)
 # define __NR_ioprio_set	289
 # define __NR_ioprio_get	290
-#elif defined(__ppc__)
+#elif defined(__powerpc__) || defined(__powerpc64__)
 # define __NR_ioprio_set	273
 # define __NR_ioprio_get	274
 #elif defined(__x86_64__)
@@ -44,8 +26,14 @@
 #elif defined(__ia64__)
 # define __NR_ioprio_set	1274
 # define __NR_ioprio_get	1275
+#elif defined(__alpha__)
+#define __NR_ioprio_set		442
+#define __NR_ioprio_get		443
+#elif defined(__s390x__) || defined(__s390__)
+#define __NR_ioprio_set		282
+#define __NR_ioprio_get		283
 #else
-# error "Unsupported archiecture!"
+#error "Unsupported arch"
 #endif
 
 static inline int ioprio_set (int which, int who, int ioprio)
